package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type WdkWarehouseOrderDispatchWorkOrder struct {
	/*
	   仓编码     */
	WareHouseCode *string `json:"ware_house_code,omitempty" `

	/*
	   作业单列表     */
	WorkOrderUnits *[]WdkWarehouseOrderDispatchWorkOrderUnits `json:"work_order_units,omitempty" `

	/*
	   作业单最早送达时间     */
	EarliestArrivalTime *util.LocalTime `json:"earliest_arrival_time,omitempty" `

	/*
	   任务名称     */
	WorkOrderName *string `json:"work_order_name,omitempty" `

	/*
	   作业单最晚送达时间     */
	LatestArriveTime *util.LocalTime `json:"latest_arrive_time,omitempty" `

	/*
	   任务编码     */
	WorkOrderId *string `json:"work_order_id,omitempty" `
}

func (s *WdkWarehouseOrderDispatchWorkOrder) SetWareHouseCode(v string) *WdkWarehouseOrderDispatchWorkOrder {
	s.WareHouseCode = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrder) SetWorkOrderUnits(v []WdkWarehouseOrderDispatchWorkOrderUnits) *WdkWarehouseOrderDispatchWorkOrder {
	s.WorkOrderUnits = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrder) SetEarliestArrivalTime(v util.LocalTime) *WdkWarehouseOrderDispatchWorkOrder {
	s.EarliestArrivalTime = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrder) SetWorkOrderName(v string) *WdkWarehouseOrderDispatchWorkOrder {
	s.WorkOrderName = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrder) SetLatestArriveTime(v util.LocalTime) *WdkWarehouseOrderDispatchWorkOrder {
	s.LatestArriveTime = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrder) SetWorkOrderId(v string) *WdkWarehouseOrderDispatchWorkOrder {
	s.WorkOrderId = &v
	return s
}
